DeleteAttributeSpec will delete the AttributeSpec with the given product_type_id and attribute_spec_id
You call thisScope not enforced
DELETE
/v2/storefront/taxonomy/attribute_spec/{productTypeId}/{attributeSpecId}
const url = 'https://api.zentail.com/v2/storefront/taxonomy/attribute_spec/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.zentail.com/v2/storefront/taxonomy/attribute_spec/example/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”productTypeId
required
string
attributeSpecId
required
string
Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
DeleteAttributeSpecResponse is returned after deleting an AttributeSpec
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}